View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000447Ecere SDKdocumentorpublic2010-07-26 02:332013-05-19 22:15
Reporterredj 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000447: documentor: add text: fix weird bugs/hangs/crashes, missing text and garbage text
Descriptionthere seemed to be weird bug/hangs/crashes/missing text when trying to add text
reload... sometimes garbage and such... definitely need to fix that
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000270)
jerome (administrator)
2010-07-26 13:34

There is a crash when editing the documentor path, saving (even to same location), and then exiting documentor.


  3 __ecereNameSpace__ecere__com__eSystem_Delete Function, src\com\instance.ec:5519
  4 Block Destructor, ..\extras\html\htmlParser.ec:64
  5 Block Destructor, ..\extras\html\htmlParser.ec:89
  6 Block Destructor, ..\extras\html\htmlParser.ec:89
  7 Block Destructor, ..\extras\html\htmlParser.ec:89
  8 Block Destructor, ..\extras\html\htmlParser.ec:89
  9 Block Destructor, ..\extras\html\htmlParser.ec:89
 10 Block Destructor, ..\extras\html\htmlParser.ec:89
 11 HTMLFile Destructor, ..\extras\html\htmlParser.ec:182
 12 __ecereNameSpace__ecere__com__eInstance_Delete Function, src\com\instance.ec:4347
 13 __ecereNameSpace__ecere__com__eInstance_DecRef Function, src\com\instance.ec:4735
 14 HTMLView Destructor, ..\extras\html\HTMLView.ec:300
 15 __ecereNameSpace__ecere__com__eInstance_Delete Function, src\com\instance.ec:4347
 16 __ecereNameSpace__ecere__com__eInstance_DecRef Function, src\com\instance.ec:4735
 17 MainForm Destructor, documentor.ec:2139
 18 __ecereNameSpace__ecere__com__eInstance_Delete Function, src\com\instance.ec:4347
 19 __ecereNameSpace__ecere__com__eInstance_DecRef Function, src\com\instance.ec:4735
 20 __ecereDestroyModuleInstances_documentor Function, documentor.ec:3169
 21 WinMain Function, obj\debug.win32\documentor.main.ec:1203
 22 main

It seems like it is trying to delete a string literal used for icons.
CopyString missing?
(0000341)
redj (administrator)
2010-08-18 06:50

fixed a few leaks
Added revision 49 to sdk\ide\src\settings.ec
(0000351)
jerome (administrator)
2010-08-21 17:42

There was freed memory write causing that call stack which has been fixed.
There were a few memory corruption problems in settings.ec that were fixed as well (applying to the IDE's Global Settings dialog as well).
Memory leaks were fixed in both Documentor and libec.

So far text edition is working fine, will move this issue to resolved until further problems resurfaces.

- Issue History
Date Modified Username Field Change
2010-07-26 02:33 redj New Issue
2010-07-26 02:33 redj Relationship added child of 0000429
2010-07-26 02:33 redj Relationship added related to 0000446
2010-07-26 02:33 redj Relationship deleted related to 0000446
2010-07-26 13:34 jerome Note Added: 0000270
2010-07-26 19:34 thexa4 Fixed in Version => 0.44 draft 2
2010-07-26 20:09 redj Fixed in Version 0.44 draft 2 =>
2010-07-26 20:09 redj Target Version => 0.44 draft 2
2010-08-18 06:50 redj Note Added: 0000341
2010-08-21 17:42 jerome Note Added: 0000351
2010-08-21 17:43 jerome Status new => resolved
2010-08-21 17:43 jerome Resolution open => fixed
2010-08-21 17:43 jerome Assigned To => jerome
2012-03-08 15:31 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 17:35 redj Relationship deleted child of 0000429
2012-03-08 18:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:43 redj Category => Documentation System
2012-03-29 07:43 redj Project @7@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker